JUCE: juce::midi_ci::Message::Parsed Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
juce::midi_ci::Message::Parsed Struct Reference
juce_midi_ci » ci

A message with a header and optional body. More...

`#include <juce_CIMessages.h>`

## Public Types
using | Body = std::variant< std::monostate, Discovery, DiscoveryResponse, InvalidateMUID, EndpointInquiry, EndpointInquiryResponse, ACK, NAK, ProfileInquiry, ProfileInquiryResponse, ProfileAdded, ProfileRemoved, ProfileDetails, ProfileDetailsResponse, ProfileOn, ProfileOff, ProfileEnabledReport, ProfileDisabledReport, ProfileSpecificData, PropertyExchangeCapabilities, PropertyExchangeCapabilitiesResponse, PropertyGetData, PropertyGetDataResponse, PropertySetData, PropertySetDataResponse, PropertySubscribe, PropertySubscribeResponse, PropertyNotify, ProcessInquiry, ProcessInquiryResponse, ProcessMidiMessageReport, ProcessMidiMessageReportResponse, ProcessEndMidiMessageReport >

## Public Member Functions
bool | operator== (const Parsed &other) const
bool | operator!= (const Parsed &other) const

## Public Attributes
Header | header
Body | body

## Detailed Description

A message with a header and optional body.

The body may be set to std::monostate to indicate some kind of failure, such as a malformed incoming message.

## Member Typedef Documentation

## ◆ Body

using juce::midi_ci::Message::Parsed::Body = std::variant<std::monostate, Discovery, DiscoveryResponse, InvalidateMUID, EndpointInquiry, EndpointInquiryResponse, ACK, NAK, ProfileInquiry, ProfileInquiryResponse, ProfileAdded, ProfileRemoved, ProfileDetails, ProfileDetailsResponse, ProfileOn, ProfileOff, ProfileEnabledReport, ProfileDisabledReport, ProfileSpecificData, PropertyExchangeCapabilities, PropertyExchangeCapabilitiesResponse, PropertyGetData, PropertyGetDataResponse, PropertySetData, PropertySetDataResponse, PropertySubscribe, PropertySubscribeResponse, PropertyNotify, ProcessInquiry, ProcessInquiryResponse, ProcessMidiMessageReport, ProcessMidiMessageReportResponse, ProcessEndMidiMessageReport>

## Member Function Documentation

## ◆ operator==()

bool juce::midi_ci::Message::Parsed::operator== | ( | const Parsed & | other | ) | const

References x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::Message::Parsed::operator!= | ( | const Parsed & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ header

Header juce::midi_ci::Message::Parsed::header

## ◆ body

Body juce::midi_ci::Message::Parsed::body

The documentation for this struct was generated from the following file:

- juce_CIMessages.h